$.ajaxSetup({ cache: false });

$(document).ready(function () {
	$.getJSON("config.json", function (data) {
		if (data.hasOwnProperty('enabled')) {
            document.getElementById('enable_service').checked = data.enabled;
            
            document.getElementById('serialPort').disabled = !data.enabled;
            document.getElementById('timeout').disabled = !data.enabled;
            document.getElementById('retries').disabled = !data.enabled;
            document.getElementById('min').disabled = !data.enabled;
            document.getElementById('max').disabled = !data.enabled;
            document.getElementById('color').disabled = !data.enabled;
            document.getElementById('flash').disabled = !data.enabled;
            document.getElementById('scroll').disabled = !data.enabled;
            document.getElementById('baud').disabled = !data.enabled;
		}
		else {
            document.getElementById('serialPort').disabled = true;
            document.getElementById('timeout').disabled = true;
            document.getElementById('retries').disabled = true;
            document.getElementById('min').disabled = true;
            document.getElementById('max').disabled = true;
            document.getElementById('color').disabled = true;
            document.getElementById('flash').disabled = true;
            document.getElementById('scroll').disabled = true;
            document.getElementById('baud').disabled = true;
        }                

        if (data.hasOwnProperty('serialPort')) {
            document.getElementById('serialPort').value = data.serialPort;
        }

        if (data.hasOwnProperty('timeoutMilliseconds')) {
            document.getElementById('timeout').value = data.timeoutMilliseconds;
        }
        else {
            document.getElementById('timeout').value = 0;
        }

        if (data.hasOwnProperty('retries')) {
            document.getElementById('retries').value = data.retries;
        }
        else {
            document.getElementById('retries').value = 0;
        }

        if (data.hasOwnProperty('minBrightness')) {
            document.getElementById('min').value = data.minBrightness;
        }
        else {
            document.getElementById('min').value = 0;
        }

        if (data.hasOwnProperty('maxBrightness')) {
            document.getElementById('max').value = data.maxBrightness;
        }
        else {
            document.getElementById('max').value = 0;
        }

        if (data.hasOwnProperty('monochromeColor')) {
            document.getElementById('color').value = data.monochromeColor;
        }
        else {
            document.getElementById('color').value = "Red";
        }

        if (data.hasOwnProperty('allowFlashing')) {
            document.getElementById('flash').checked = data.allowFlashing;
        }

        if (data.hasOwnProperty('allowScrolling')) {
            document.getElementById('scroll').checked = data.allowScrolling;
        }

        if (data.hasOwnProperty('baudRate')) {
            document.getElementById('baud').value = data.baudRate;
        }
        else {
            document.getElementById('baud').value = 0;
        }
	});
});

$(document).ready(function() {
    document.getElementById('enable_service').onclick = function () {
        document.getElementById('serialPort').disabled = !this.checked;
        document.getElementById('timeout').disabled = !this.checked;
        document.getElementById('retries').disabled = !this.checked;
        document.getElementById('min').disabled = !this.checked;
        document.getElementById('max').disabled = !this.checked;
        document.getElementById('color').disabled = !this.checked;
        document.getElementById('flash').disabled = !this.checked;
        document.getElementById('scroll').disabled = !this.checked;
        document.getElementById('baud').disabled = !this.checked;
	}
});